package com.rjconsultores.ventaboletos.constantes;

public enum TipoEventoExtra {

	OUTRO("OUTRO"), 
	SEGURO_OPCIONAL("SEGURO_OPCIONAL"),
	EXCESSO_BAGAGEM("EXCESSO_BAGAGEM"),
	TAXA_EMBARQUE("TAXA_EMBARQUE"),
	SEGURO_RESSARCIMENTO("SEGURO_RESSARCIMENTO"),
	TAXA_EMBARQUE_RESSARCIMENTO("TAXA_EMBARQUE_RESSARCIMENTO"),
	MULTA("MULTA"),
	DIF_MAIOR("DIF_MAIOR"),
	DIF_MENOR("DIF_MENOR"),
	SUPRIMENTO("SUPRIMENTO"),
	SANGRIA("SANGRIA"),
	RECARGA_CELULAR("RECARGA_CELULAR"),
	RECARGA_TV("RECARGA_TV"),
	RECARGA_PIN("RECARGA_PIN"),
	PACOTE("PACOTE"),
	SMART_CARD("SMART_CARD"),
	TAXA_CONVENIENCIA_SVI("TAXA_CONVENIENCIA_SVI"),
	TARIFA_SAFER("TARIFA_SAFER"),
	JUROS_CARTAO_CREDITO("JUROS_CARTAO_CREDITO"),
	EMBARQUE_JA("EMBARQUE_JA"),
	;

	private String descricao;

	private TipoEventoExtra(String descricao) {
		this.descricao = descricao;
	}
	
	public String getDescricao() {
		return descricao;
	}
	
	@Override
	public String toString() {
		return getDescricao();
	}
}
